Garbled graphics in Wily with Intel GMA4500 chip

Bug #1507255 reported by Erick Brunzell on 2015-10-18
102
This bug affects 16 people
Affects Status Importance Assigned to Milestone
One Hundred Papercuts
Critical
Unassigned
xf86-video-intel
New
Undecided
Unassigned
xserver-xorg-video-intel (Ubuntu)
Critical
Unassigned
Nominated for Wily by Alberto Salvia Novella

Bug Description

This affects both Ubuntu GNOME and Ubuntu Wily 20151017.1. The graphics are so badly garbled I can only file this bug on an unaffected OS where I've held back the update on just that one package to about Beta 1 status:

lance@lance-INTEL-desktop:~$ apt-cache policy xserver-xorg-video-intel
xserver-xorg-video-intel:
  Installed: 2:2.99.917-1ubuntu1
  Candidate: 2:2.99.917+git20150808-0ubuntu4
  Version table:
     2:2.99.917+git20150808-0ubuntu4 0
        500 http://us.archive.ubuntu.com/ubuntu/ wily/main i386 Packages
 *** 2:2.99.917-1ubuntu1 0
        100 /var/lib/dpkg/status

I'll attach a picture of the garbled screen with the updated xserver-xorg-video-intel package. Oddly a screenshot taken from the affected OS displays perfectly OK in the unaffected OS so I used my camera.

The info provided by lspci may not be very helpful:

lance@lance-INTEL-desktop:~$ lspci -v -s `lspci | awk '/VGA/{print $1}'`
00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
 Subsystem: Intel Corporation Device 0025
 Flags: bus master, fast devsel, latency 0, IRQ 27
 Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
 Memory at c0000000 (64-bit, prefetchable) [size=256M]
 I/O ports at f1c0 [size=8]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: <access denied>
 Kernel driver in use: i915

The tech specs show:

Internal Graphics:
• Intel ® GMA4500 onboard graphics subsystem with support for:
― Analog displays (VGA)
― Digital displays (DVI-D)

I'm just using VGA ATM.

Something else worth mentioning is this warning displayed while filing the bug report:

Your system is providing 3D via software rendering rather than hardware rendering. This is a compatibility mode which should display 3D graphics properly but the performance may be very poor. If the problem you're reporting is related to graphics performance, your real question may be why X didn't use hardware acceleration for your system.

I did try booting an earlier kernel to no avail, but holding back just this one update prevents the borkage.

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: xserver-xorg-video-intel 2:2.99.917-1ubuntu1
ProcVersionSignature: Ubuntu 4.2.0-16.19-generic 4.2.3
Uname: Linux 4.2.0-16-generic i686
ApportVersion: 2.19.1-0ubuntu2
Architecture: i386
CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: None
CurrentDesktop: GNOME
Date: Sun Oct 18 00:17:35 2015
DistUpgraded: Fresh install
DistroCodename: wily
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes, if not too technical
GraphicsCard:
 Intel Corporation 4 Series Chipset Integrated Graphics Controller [8086:2e42] (rev 03) (prog-if 00 [VGA controller])
   Subsystem: Intel Corporation Device [8086:0025]
   Subsystem: Intel Corporation Device [8086:0025]
InstallationDate: Installed on 2015-08-26 (52 days ago)
InstallationMedia: Ubuntu-GNOME 15.10 "Wily Werewolf" - Alpha i386 (20150826.1)
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.2.0-16-generic root=UUID=39597a1e-90b6-4e81-ae29-4c01d28f7f17 ro quiet splash vt.handoff=7
Renderer: Software
SourcePackage: xserver-xorg-video-intel
UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/23/2010
dmi.bios.vendor: Intel Corp.
dmi.bios.version: LDB4310H.86A.0037.2010.1223.1121
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: DB43LD
dmi.board.vendor: Intel Corporation
dmi.board.version: AAE60577-202
dmi.chassis.type: 3
dmi.modalias: dmi:bvnIntelCorp.:bvrLDB4310H.86A.0037.2010.1223.1121:bd12/23/2010:svn:pn:pvr:rvnIntelCorporation:rnDB43LD:rvrAAE60577-202:cvn:ct3:cvr:
version.compiz: compiz N/A
version.libdrm2: libdrm2 2.4.64-1
version.libgl1-mesa-dri: libgl1-mesa-dri 11.0.2-1ubuntu4
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 11.0.2-1ubuntu4
version.xserver-xorg-core: xserver-xorg-core 2:1.17.2-1ubuntu9
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.9.2-1ubuntu1
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.5.0+git20150819-0ubuntu1
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.917-1ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.11-1ubuntu3
xserver.bootTime: Sat Oct 17 23:58:59 2015
xserver.configfile: default
xserver.errors:
 AIGLX error: Calling driver entry point failed
 AIGLX: reverting to software rendering
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:

xserver.version: 2:1.17.2-1ubuntu9

Erick Brunzell (lbsolost) wrote :
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1507255

tags: added: iso-testing
Erick Brunzell (lbsolost) wrote :

I incorrectly staed above:

"The graphics are so badly garbled I can only file this bug on an unaffected OS where I've held back the update on just that one package to about Alpha 2 status"

That should have said "Beta 1 status" so I'll correct that accordingly.

description: updated
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-intel (Ubuntu):
status: New → Confirmed
Cory Davis (corzneffect) wrote :

This bug also affects me:

cory@lala:~$ lspci -v -s `lspci | awk '/VGA/{print $1}'`
00:02.0 VGA compatible controller: Intel Corporation 82Q963/Q965 Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
 Subsystem: Lenovo Device 1010
 Flags: bus master, fast devsel, latency 0, IRQ 26
 Memory at d0000000 (32-bit, non-prefetchable) [size=1M]
 Memory at c0000000 (64-bit, prefetchable) [size=256M]
 I/O ports at 3400 [size=8]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: <access denied>
 Kernel driver in use: i915

The switching from "sna" to "uxa" works as a temporary workaround for me:

cory@lala:~$ cat /usr/share/X11/xorg.conf.d/20-intel.conf
Section "Device"
   Identifier "Intel Graphics"
   Driver "intel"
   Option "AccelMethod" "uxa"
EndSection

jerrylamos (jerrylamos) wrote :

How do I tell if this Lenovo M58p has the Intel GMA4500 chip?
Wily gives me fits with hashing. Can't read text even.
Xenial slightly better. Text sent out by Ubuntu is totally hashed. Text I type in on the terminal window is readable. Wallpaper and images are hashed unintelligible.

Current workaround, this is Xenial with 3.17.8031708 installed from Ubuntu Kernels:
DISTRIB_RELEASE=15.10
DISTRIB_CODENAME=wily
DISTRIB_DESCRIPTION="Ubuntu 15.10"
Linux Lenovo2 3.17.8-031708-generic #201501081837 SMP Thu Jan 8 18:39:03 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
model name : Intel(R) Core(TM)2 Duo CPU E8400 @ 3.00GHz
model name : Intel(R) Core(TM)2 Duo CPU E8400 @ 3.00GHz
00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)

ls /boot:
abi-3.17.1-031701-generic grub memtest86+.elf vmlinuz-3.17.1-031701-generic
abi-4.2.0-16-generic initrd.img-3.17.1-031701-generic memtest86+_multiboot.bin vmlinuz-4.2.0-16-generic
config-3.17.1-031701-generic initrd.img-4.2.0-16-generic System.map-3.17.1-031701-generic
config-4.2.0-16-generic memtest86+.bin System.map-4.2.0-16-generic

The 4.1.0-16 is totally unusable.
Oddly uname-a reports
Linux Lenovo2 3.17.8-031708-generic #201501081837 SMP Thu Jan 8 18:39:03 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux
which doesn't seem to match ls /boot? And doesn't match the .deb:
linux-image-3.17.1-031701-generic_3.17.1-031701.201410150735_amd64.deb

Anyway, it works, just I'm not testing Xenial...... I've Acer and HP laptops running Wily fine. Will try Xenial on them time permitting.

Changed in xserver-xorg-video-intel (Ubuntu):
importance: Undecided → Critical
Robert Di Gioia (digioiar) wrote :
Download full text (6.0 KiB)

This also impacts me. Screen becomes garbled quicker if Firefox is running. Screen takes a bit longer to become garbled if only Thunderbird is running.

I tried Cory's fix above, and it hasn't garbled the screen in about 45 minutes minutes with Firefox, Thunderbird, and other graphical apps running simultaneously. On my system the file /usr/share/X11/xorg.conf.d/20-intel.conf didn't exist, so I created it with the contents that Cory provided.

From uname -a:
Linux gandalf 4.2.0-16-generic #19-Ubuntu SMP Thu Oct 8 14:46:51 UTC 2015 i686 i686 i686 GNU/Linux

From lspci:
00:02.0 VGA compatible controller: Intel Corporation 82945G/GZ Integrated Graphics Controller (rev 02) (prog-if 00 [VGA controller])
        Subsystem: ASUSTeK Computer Inc. Device 817a
        Flags: bus master, fast devsel, latency 0, IRQ 16
        Memory at dfd00000 (32-bit, non-prefetchable) [size=512K]
        I/O ports at b800 [size=8]
        Memory at c0000000 (32-bit, prefetchable) [size=256M]
        Memory at dfd80000 (32-bit, non-prefetchable) [size=256K]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [90] MSI: Enable- Count=1/1 Maskable- 64bit-
        Capabilities: [d0] Power Management version 2
        Kernel driver in use: i915

I see these messages in the syslog that seem to correspond to each time that the screen becomes garbled:
Oct 31 18:25:16 gandalf kernel: [22669.004026] [drm] stuck on render ring
Oct 31 18:25:16 gandalf kernel: [22669.006035] [drm] GPU HANG: ecode 3:0:0x677fff41, in Xorg [960], reason: Ring hung, action: reset
Oct 31 18:25:16 gandalf kernel: [22669.006040] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
Oct 31 18:25:16 gandalf kernel: [22669.006042] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
Oct 31 18:25:16 gandalf kernel: [22669.006045] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
Oct 31 18:25:16 gandalf kernel: [22669.006047] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
Oct 31 18:25:16 gandalf kernel: [22669.006050] [drm] GPU crash dump saved to /sys/class/drm/card0/error
Oct 31 18:25:16 gandalf kernel: [22669.006151] ------------[ cut here ]------------
Oct 31 18:25:16 gandalf kernel: [22669.006225] WARNING: CPU: 0 PID: 357 at /build/linux-hXawIp/linux-4.2.0/drivers/gpu/drm/i915/intel_display.c:3294 intel_crtc_wait_for_pending_flips+0x17c/0x220 [i915]()
Oct 31 18:25:16 gandalf kernel: [22669.006234] WARN_ON(ret)
Oct 31 18:25:16 gandalf kernel: [22669.006241] Modules linked in: ftdi_sio usbserial snd_hda_codec_analog snd_hda_codec_generic gpio_ich snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep joydev snd_pcm snd_seq_midi snd_seq_midi_event snd_rawmidi input_leds snd_seq serio_raw snd_seq_device snd_timer snd 8250_fintek soundcore asus_atk0110 lpc_ich shpchp mac_hid parport_pc ppdev lp parport autofs4 jitterentropy_rng drbg ansi_cprng xts gf128mul algif_skcipher af_alg dm_crypt hid_generic usbhid hid i915 video firewire_ohci i2c_algo_bit drm_kms_helper firewire_core r8169 crc_itu_t pata_acpi drm mii
Oct 31 18:25:16 gandalf kernel: [2...

Read more...

Cass Stephen (madeoutofsprings) wrote :

Under Ubuntu-Mate 15.04 only my wallpaper, scroll-sliders, and right window edges were garbled.
After do-release-upgrade to 15.10 all of the things are hashed garbled tearing whatever, even the text, even inside terminal windows.

Cory Davis (corzneffect) is correct;
Downgrading the video acceleration from "sna" to "uxa" works as a temporary fix:

#Create a config file;
sudo nano /usr/share/X11/xorg.conf.d/20-intel.conf

#Add the following lines
Section "Device"
   Identifier "Intel Graphics"
   Driver "intel"
   Option "AccelMethod" "uxa"
EndSection

#reboot

Cass Stephen (madeoutofsprings) wrote :

# jerrylamos (jerrylamos) wrote on 2015-10-29: #26
# How do I tell if this Lenovo M58p has Intel GMA4500 ?

google m85p gma4500 --> cnet review stating that it does.

or

glxinfo | grep OpenGL

and see something about G45

jerrylamos (jerrylamos) wrote :

Comment #8 works in Xenial Xerus as well.

Yay, I can read the screen, wallpaper is right, wonder how long the fix will work.

I confirm #8 works for Ubuntu MATE 15.10, with an Intel 4 Series Chipset.

The Great Gazauga (eanbowman) wrote :

Solution in #8 worked for me as well. Upgraded to 15.10 and had the garbled screen. The config file fixed it.

Download full text (6.1 KiB)

Could you, please, help me with this "solution #8 ? I don't know what it is. Which is the "config file" you referrer to?Thanks.

> Date: Sun, 15 Nov 2015 20:44:34 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 1507255] Re: Garbled graphics in Wily with Intel GMA4500 chip
>
> Solution in #8 worked for me as well. Upgraded to 15.10 and had the
> garbled screen. The config file fixed it.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1509196).
> https://bugs.launchpad.net/bugs/1507255
>
> Title:
> Garbled graphics in Wily with Intel GMA4500 chip
>
> Status in xserver-xorg-video-intel package in Ubuntu:
> Confirmed
>
> Bug description:
> This affects both Ubuntu GNOME and Ubuntu Wily 20151017.1. The
> graphics are so badly garbled I can only file this bug on an
> unaffected OS where I've held back the update on just that one package
> to about Beta 1 status:
>
> lance@lance-INTEL-desktop:~$ apt-cache policy xserver-xorg-video-intel
> xserver-xorg-video-intel:
> Installed: 2:2.99.917-1ubuntu1
> Candidate: 2:2.99.917+git20150808-0ubuntu4
> Version table:
> 2:2.99.917+git20150808-0ubuntu4 0
> 500 http://us.archive.ubuntu.com/ubuntu/ wily/main i386 Packages
> *** 2:2.99.917-1ubuntu1 0
> 100 /var/lib/dpkg/status
>
> I'll attach a picture of the garbled screen with the updated xserver-
> xorg-video-intel package. Oddly a screenshot taken from the affected
> OS displays perfectly OK in the unaffected OS so I used my camera.
>
> The info provided by lspci may not be very helpful:
>
> lance@lance-INTEL-desktop:~$ lspci -v -s `lspci | awk '/VGA/{print $1}'`
> 00:02.0 VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03) (prog-if 00 [VGA controller])
> Subsystem: Intel Corporation Device 0025
> Flags: bus master, fast devsel, latency 0, IRQ 27
> Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
> Memory at c0000000 (64-bit, prefetchable) [size=256M]
> I/O ports at f1c0 [size=8]
> Expansion ROM at <unassigned> [disabled]
> Capabilities: <access denied>
> Kernel driver in use: i915
>
> The tech specs show:
>
> Internal Graphics:
> • Intel ® GMA4500 onboard graphics subsystem with support for:
> ― Analog displays (VGA)
> ― Digital displays (DVI-D)
>
> I'm just using VGA ATM.
>
> Something else worth mentioning is this warning displayed while filing
> the bug report:
>
> Your system is providing 3D via software rendering rather than
> hardware rendering. This is a compatibility mode which should display
> 3D graphics properly but the performance may be very poor. If the
> problem you're reporting is related to graphics performance, your real
> question may be why X didn't use hardware acceleration for your
> system.
>
> I did try booting an earlier kernel to no avail, but holding back just
> this one update prevents the borkage.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 15.10
> Package: xser...

Read more...

jerrylamos (jerrylamos) wrote :

My comments on entry #13:
gedit 20-intel.conf
Copy in the lines starting with Section and ending with EndSection:
[code]
Section "Device"
   Identifier "Intel Graphics"
   Driver "intel"
   Option "AccelMethod" "uxa"
EndSection
[/code]
save
quit
sudo cp 20-intel.conf /usr/share/X11/xorg.conf.d
enter your password

Check to see if the entry made it into the directory O.K.:
cat /usr/share/X11/xorg.conf.d/20-intel.conf

Now /usr/share/X11/xorg.conf.d is read once on boot so you have to reboot for it to take effect.
What this configuration does is tell X11 to use the method "uxa" an older section of code, since on this pc the newer code "sna" screws up.

If this configuration doesn't work for you, then delete the 20-intel.conf entry in /usr/share/X11/xorg.conf.d

Now Xenial and Wily install .iso's are a real bear to read on this Lenovo M58p because of the garbled text. On finish of install, before I do a reboot, I use the install ubunto to make the conf.d entry into the target ubuntu install. That's a bit tricky.
Let us know how you do.

MyResolve (myresolvexxx) wrote :

#5 with #8 worked for me fine.

Please:

1. Report this bug to <http://tinyurl.com/ntcl2kq>.
2. Paste the new report URL here.
3. Set this bug status back to "confirmed".

Thank you.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Incomplete
Changed in hundredpapercuts:
status: New → Triaged
importance: Undecided → Critical
status: Triaged → Incomplete
Timo Aaltonen (tjaalton) wrote :

best to try the new xenial snapshot before filing a bug upstream (once it's built):

https://launchpad.net/ubuntu/+source/xserver-xorg-video-intel/2:2.99.917+git20151217-1~exp1ubuntu1

Erick Brunzell (lbsolost) wrote :

Still affects Ubuntu GNOME Xenial 20160121 amd64. So I guess I'll have to create a Bugzilla account and try to figure out their bug filing process when I have time.

tags: added: amd64 xenial
Erick Brunzell (lbsolost) wrote :

Not surprisingly this also affects the Trusty dailies based on testing Ubuntu GNOME Trusty 20160124 amd64 since they have the Wily HWE. So the flavors participating may want to mention it in their release notes, recommending that users affected use the archived 14.04.1 images.

tags: added: 14.04.4
Erick Brunzell (lbsolost) wrote :

I was surprised testing the Trusty Daily Ubuntu GNOME 20160207 amd64 image to find that it works OK in a live session so just making a note for my own use regarding version:

xserver-xorg-video-intel-lts-wily 2:2.99.917+git20150808-0ubuntu4~trusty2

Erick Brunzell (lbsolost) wrote :

The Trusty images had been good up through 20160214 but the 20160215 image is affected again. They appear to be using:

xserver-xorg-video-intel-lts-wily 2:2.99.917+git20150808-0ubuntu4~trusty2

So I need to dig a bit deeper.

Erick Brunzell (lbsolost) wrote :

Lubuntu Trusty is affected to a much lesser degree so I was at least able to install it. I'm going to try the newest kernel from proposed tomorrow.

Erick Brunzell (lbsolost) wrote :

Looking at the 14.04.4 RC again this AM I find that the 4.2.0-29.23 kernel is OK, but this bug is present with 4.2.0-27.21. So this is apparently not so much an X bug as a kernel bug??????

AFAIK Xenial is (or at least has been) affected by this also and I'll be testing the Beta 1 candidates next week. I haven't tried testing Wily any further but it's time for me to revisit that and see if a kernel upgrade in Wily fixes the issue or not.

Erick Brunzell (lbsolost) wrote :

I took time to check Wily and the results are similar. This bug is present with the 4.2.0-27.30 kernel but the 4.2.0-29.31 kernel is OK.

So I'm guessing the updated intel driver fails to build properly with kernels prior to 4.2.0-29????????

Erick Brunzell (lbsolost) wrote :

Ubuntu Trusty 20160217 amd64 is still affected so I doubt that a fix will land for 14.04.4. That will be problematic for less advanced users affected because both the Wily and the updated Trusty images offered from the main download page(s) will fail to work.

To me the obvious simple "workaround" is to recommend using the archived 14.04.1 images that still use the 3.13 series kernel as these are not affected. The one caveat that those writing release notes and/or release announcements is when we recommend using the archived 14.04.1 images we must be certain to warn of ubiquity bug #1265192 so users don't inadvertently wipe out existing data.

Erick Brunzell (lbsolost) wrote :

As far as reporting upstream to move the status from incomplete back to confirmed - I have no idea what I'm doing :^(

Is this an X bug as originally thought? Or a kernel bug as now seems to be the case? I clearly can't create a new bugzilla account and file a bug report when I have no idea what I'm doing.

AFAIK incomplete bugs expire? Why should we let this expire just because I lack the tech know-how to file upstream?

Erick Brunzell (lbsolost) wrote :

It took a considerable amount of searching but the sna vs uxa issue does have at least two upstream bug reports:

https://bugzilla.redhat.com/show_bug.cgi?id=1226531

https://bugzilla.redhat.com/show_bug.cgi?id=1226743

I believe that should be sufficient. It's a known issue. I'll have to look at these newer (proposed) kernel changelogs to see if I can figure what exactly they changed.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed
tags: added: linux
Erick Brunzell (lbsolost) wrote :

Xenial looks good testing Ubuntu GNOME 20160218 amd64:

ubuntu-gnome@ubuntu-gnome:~$ uname -a
Linux ubuntu-gnome 4.4.0-6-generic #21-Ubuntu SMP Tue Feb 16 20:32:27 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux
ubuntu-gnome@ubuntu-gnome:~$ apt-cache policy xserver-xorg-video-intel
xserver-xorg-video-intel:
  Installed: 2:2.99.917+git20160127-1ubuntu1
  Candidate: 2:2.99.917+git20160127-1ubuntu1
  Version table:
 *** 2:2.99.917+git20160127-1ubuntu1 500
        500 http://archive.ubuntu.com/ubuntu xenial/main amd64 Packages
        100 /var/lib/dpkg/status
ubuntu-gnome@ubuntu-gnome:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Xenial Xerus (development branch)
Release: 16.04
Codename: xenial

Timo Aaltonen (tjaalton) wrote :

Redhat is not the upstream

And since it's fixed in xenial I'm closing this. Upgrade or bisect the driver and propose patches.

Changed in xserver-xorg-video-intel (Ubuntu):
status: Confirmed → Fix Released
jerrylamos (jerrylamos) wrote :

Not fixed in 14.04.4 LTS. 14.04 originally did not have this garbled problem, but a fresh install of 14.04 does.

Should I enter a new bug against 14.04 LTS since this Xenial bug is fixed? 14.04 is supposed to be supported until 2019 I think.

Erick Brunzell (lbsolost) wrote :

@ jerrylamos, which HWE stack is in use? It mostly depends on what installation media is used (unless physical action is taken to upgrade the HWE stack):

https://wiki.ubuntu.com/Kernel/LTSEnablementStack#Kernel.2FSupport.A14.04.x_Ubuntu_Kernel_Support

Based on my most recent results it seemed to be more of a kernel issue than X itself.

jerrylamos (jerrylamos) wrote :

Starting in November 2014 Ubuntu X windows screwed up with
VGA compatible controller: Intel Corporation 4 Series Chipset Integrated Graphics Controller (rev 03)
making Wallpaper badly hashed.
https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/1507255
Then a couple months later even Ubuntu text badly garbled, illegible.
Workarond was:

/usr/share/X11/xorg.conf.d/20-intel.conf
Section "Device"
   Identifier "Intel Graphics"
   Driver "intel"
Option "AccelMethod" "uxa"
EndSection

So in every install since Nov. 2014 I've been making that change.
As of March 2016, that change screws up X windows and can't get desktop.

Voila, not needed, Xwindows now running fine. That took Ubuntu a year and a half to fix.
Wonder how long ubuntu Xwindows will stay fixted....

Timo Aaltonen (tjaalton) wrote :

in a few months you'll have lts-xenial stack, and that is supported until 2019, not lts-wily

if you want it fixed quicker then someone needs to bisect the driver

Kyle Brophy (kylebrophy) on 2016-04-05
Changed in xserver-xorg-video-intel (Ubuntu):
assignee: nobody → Kyle Brophy (kylebrophy)
Changed in xserver-xorg-video-intel (Ubuntu):
assignee: Kyle Brophy (kylebrophy) → nobody
jerrylamos (jerrylamos) wrote :

A couple weeks ago I did a fresh install of ubuntu-14.04.desktop.iso LTS and the garbled text bug 1507255 was back. Usual fix of

Section "Device"
   Identifier "Intel Graphics"
   Driver "intel"
Option "AccelMethod" "uxa"
EndSection

worked.

Xenial new installs have been fine lately. Putting that uxa fix in Xenial prevents X windows from running.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.